MPlist Struct Reference

Type of property list objects. More...

Collaboration diagram for MPlist:
[legend]

## Data Fields

M17NObject | control
MSymbol | key
union {
void * pointer
M17NFunc func
} | val
MPlist * | next

## Detailed Description

Type of property list objects.

<>

The type MPlist is for a property list object. Its internal structure is concealed from application programs.

## Field Documentation

## control

M17NObject MPlist::control

## key

MSymbol MPlist::key

## pointer

void* MPlist::pointer

## func

M17NFunc MPlist::func

##

union { ... } MPlist::val

## next

MPlist* MPlist::next